/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */

package sync4j.exchange.items.common.model;

import java.util.Date;

/**
 * @author Fabio Maggi @ Funambol
 *
 * @version $Id: Item.java,v 1.5 2005/01/19 11:37:48 fabius Exp $
 **/
public class Item {

    //--------------------------------------------------------------- Constants

    //------------------------------------------------------------ Private data

    private String    id            = null  ;
    private String    href          = null  ;

    private Date      creationDate  = null  ;
    private Date      lastModified  = null  ;

    //------------------------------------------------------------ Constructors

    /**
     * Creates a Item
     *
     */
    public Item () {

    }

    /**
     * Creates a Item
     *
     * @param id
     */
    public Item (String id) {

        this.id            = id    ;
        this.href          = null  ;
        this.creationDate  = null  ;
        this.lastModified  = null  ;

    }

    /**
     * Creates a Item
     *
     * @param id
     * @param lastModified
     *
     */
    public Item (String id,
                 Date   lastModified) {

        this.id            = id            ;
        this.href          = null          ;
        this.creationDate  = null          ;
        this.lastModified  = lastModified  ;

    }

    /**
     * Creates a Item
     *
     * @param id
     * @param href
     * @param lastUpdate
     *
     */
    public Item (String id          ,
                 String href        ,
                 String lastUpdate)  {

        this.id            = id    ;
        this.href          = null  ;
        this.lastModified  = null  ;

    }

    /**
     * Creates a Item
     *
     * @param id
     * @param creationDate
     * @param lastModified
     *
     */
    public Item (String    id           ,
                 String    href         ,
                 Date      creationDate ,
                 Date      lastModified) {

        this.id            = id            ;
        this.href          = href          ;
        this.creationDate  = creationDate  ;
        this.lastModified  = lastModified  ;

    }

    //---------------------------------------------------------- Public methods

    public String getId()                           {
        return this.id;
    }

    public String getHref()                         {
        return this.href;
    }

    public Date getCreationDate()                   {
        return this.creationDate;
    }

    public Date getLastModified()                   {
        return this.lastModified;
    }

    public void setId(String id)                    {
        this.id = id;
    }

    public void setHref(String href)                {
        this.href = href;
    }

    public void setCreationDate(Date creationDate)  {
        this.creationDate = creationDate;
    }

    public void setLastModified(Date lastModified)  {
        this.lastModified = lastModified;
    }

}